Notifications
Clear all

Autolips

19 Posts
15 Users
0 Reactions
4 Views
(@anifharun)
Posts: 15
Registered
Topic starter
 

dear all..

anyone have autolips to list out the bearing and distance for particular line
?

 
Posted : July 8, 2015 11:28 pm
(@Anonymous)
Posts: 0
Guest
 

What application are you using.?
AutoCad, IntelliCad, Bricscad?

Have you tried The Swamp? http://www.theswamp.org/index.php?board=2.0
Wealth of stuff there.
If Bricscad, have you checked the user forum?

I know not all AutoCad lisp works in other Cad.

 
Posted : July 8, 2015 11:57 pm
 vern
(@vern)
Posts: 1520
Registered
 

command: list

I have a lisp routine that will label bearing/dist on lines, but I don't think it works on C3D.

 
Posted : July 9, 2015 10:22 am
 vern
(@vern)
Posts: 1520
Registered
 

THIS DOES NOT WORK IN C3D, I JUST CHECKED.

labeltxt.lsp (type lbo to start the routine)

(defun cvstart()
(setq bmode (getvar "BLIPMODE")) (setvar "BLIPMODE" 0)
(setvar "CMDECHO" 0)
(setq umode (getvar "unitmode")) (setvar "unitmode" 0)
(command "UNDO" "GROUP")
)
(defun cvdone(/ a)
(setvar "BLIPMODE" bmode)
(setvar "unitmode" umode)
(command "UNDO" "END")
(setq a '-)
)
(defun getline (s)
(setq f (entsel s))
(if f (progn (setq fs (entget (setq fn (car f))))
(= "LINE" (cdr (assoc 0 fs)))
))
)
(defun C:TextSIZE ()
(setq lts (getvar "USERR3"))
(setq tsize (getdist "nEnter text height as to be plotted: "))
(setq txts (* lts tsize))
)
(defun C:LBO (/ a f fs fn pq pm10 pm11 p0 p1 p2 p3 p4 a1 a2 d1 i sdist sbear)
(setq lts (getvar "USERR3"))
(if (null txts) (setq tsize (getdist "nEnter text height as to be plotted: ")))
(setq txts (* lts tsize))
(cond
((null (getline "nSELECT LINE: ")) (setq a "LINE NOT FOUND"))
(t (cvstart)
(setq fs (entget (setq fn (car f))))
(setq pq (cadr f)) (redraw fn 3)
(setq pm10 (cdr (setq af0 (assoc 10 fs))))
(setq pm11 (cdr (setq af1 (assoc 11 fs))))
(if (> (distance pq pm10) (distance pq pm11))
(progn (setq p1 pm10) (setq p0 pm11))
(progn (setq p1 pm11) (setq p0 pm10)))
(setq d1 (distance p0 p1))
(setq a1 (angle p0 p1)) (setq a2 (+ a1 (* 0.5 pi)))
(setq p2 (polar p0 a1 (/ d1 2.0)))
;*(setq p3 (polar p2 a2 (* txts 1.0)))*;(* txts 0.5) for "c" text
(setq p3 p2 )*;this is for "BC" text
;*(setq p4 (polar p2 a2 (* txts -1.0)))*;mc text(* txts -1.5) for "c" text
(setq p4 (polar p2 a2 (* txts -1.71428572)))*;this is for "bc" text
(setq sdist (strcat (rtos d1 2 2) "47"))
(setq sbear (angtos a1 4 4))
(if (= (strlen sbear) 1) (progn (setq a1 (- a1 0.000002))
(setq sbear (angtos a1 4 4))))
(setq i 1)
(while (and (/= "d" (substr sbear i 1)) (<= i (strlen sbear)))
(setq i(1+ i)))
(setq sbear (strcat (substr sbear 1 (- i 1)) "%%d"
(substr sbear (+ 1 i))))
;*(command "TEXT" "MC" p3 txts (/ (* 180.0 a1) pi) sdist)
(command ".TEXT" "BC" p3 txts (/ (* 180.0 a1) pi) sBEAR)
(command ".TEXT" "BC" p4 txts (/ (* 180.0 a1) pi) sDIST)
;*(command "TEXT" "MC" p4 txts (/ (* 180.0 a1) pi) sbear)
(redraw fn 4)
(cvdone)
))
)
(defun C:SET-LENGTH (/ f fn fs pq p0 pm pm10 pm11 pt6 d1 af0 af1 a)
(cond
((null (getline "nPOINT ON LINE: ")) (setq a "LINE NOT FOUND"))
(t (cvstart)
(setq fs (entget (setq fn (car f))))
(setq pq (cadr f)) (redraw fn 3)
(setq pm10 (cdr (setq af0 (assoc 10 fs))))
(setq pm11 (cdr (setq af1 (assoc 11 fs))))
(if (> (distance pq pm10) (distance pq pm11))
(progn (setq pm pm10) (setq p0 pm11))
(progn (setq pm pm11) (setq p0 pm10)))
(setq d1 (getdist p0 "nNew length: "))
(setq pt6 (polar p0 (angle p0 pm) d1))
(if (= pm pm10) (setq fs (subst (cons 10 pt6) af0 fs))
(setq fs (subst (cons 11 pt6) af1 fs)))
(entmod fs) (redraw fn 4)
(cvdone)
))
)
(defun C:ANG-LOC (/ a1 d1)
(cvstart)
(IF (NULL TURP2)(setq TURP2 (getpoint "nSelect turning point: ")))
(IF (NULL BACS1)(setq BACS1 (getpoint "nSelect backsight point: ")))
(setq a1 (getangle "nCLOCKWISE ANGLE: "))
(setq d1 (getdist "nDISTANCE: "))
(command "LINE" TURP2 (polar TURP2 (- (angle TURP2 BACS1) a1) d1) "")
(cvdone)
)
(defun C:ANG-LOC1 (/ a1 d1)
(cvstart)
(setq TURP2 (getpoint "nSelect turning point: "))
(setq BACS1 (getpoint "nSelect backsight point: "))
(setq a1 (getangle "nCLOCKWISE ANGLE: "))
(setq d1 (getdist "nDISTANCE: "))
(command "LINE" TURP2 (polar TURP2 (- (angle TURP2 BACS1) a1) d1) "")
(cvdone)
)

(defun C:ANG-LOCB (/ a1 d1)
(cvstart)
;(SETVAR "TEXTEVAL" 1)
(IF (NULL TURP2)(setq TURP2 (getpoint "nSelect turning point: ")))
(IF (NULL BACS1)(setq BACS1 (getpoint "nSelect backsight point: ")))
(if (null insbk)(setq insbk (getstring "nBlock to insert: ")))
(setq crdno (getstring T "nCoordinate no. or elev.: "))
(setq desc (getstring T "Description :"))
(setq a1 (getangle "CLOCKWISE ANGLE: "))
(setq d1 (getdist "DISTANCE: "))
(setq inspt1 (polar TURP2 (- (angle TURP2 BACS1) a1) d1))
(command "insert" insbk inspt1 1 "" "" crdno desc)
(cvdone)
)
(princ)

 
Posted : July 9, 2015 10:29 am
(@richard-germiller)
Posts: 752
Registered
 

In C3d inquiry dropdown, 3rd command from top "Line and Arc Information" will list the info on the command line.

 
Posted : July 9, 2015 10:46 am
(@pls30820)
Posts: 317
Registered
 

if I had autolips, I wouldn't leave the house

 
Posted : July 9, 2015 11:04 am
(@thebionicman)
Posts: 4438
Customer
 

CGLIST gives line and arc information in Civil3d.

 
Posted : July 9, 2015 11:36 am
(@eddycreek)
Posts: 1033
Customer
 

PLS30820, post: 326517, member: 1439 wrote: if I had autolips, I wouldn't leave the house

Better than being "lipless" I guess.

http://bestrevie.ws/B000MGNITW/1b6bfcfd8d0572d927f32dfc1a1e052c784053f9-MDcyMDE1

 
Posted : July 9, 2015 3:17 pm
(@cptdent)
Posts: 2089
Registered
 

The "List" command no longer works in AutoCAD??
It's been awhile since I used pure AutoCAD, but the "List" command used to give bearing, distance, linetype and coordinate values.
Still works in Carlson Survey OEM.

 
Posted : July 10, 2015 3:48 am
(@ekillo)
Posts: 559
Registered
 

Dent,

It still works in C3D.

 
Posted : July 10, 2015 4:22 am
(@thebionicman)
Posts: 4438
Customer
 

LIST will give you the properties of an entity, including the bearing, length and end point coordinates (plus a lot more). XLIST does the same thing for individual entities that are part of an XREF.
The CGLIST command only gives the traditional line and arc information. It also just shows on the command line rather than a separate text window. Both have their places.

 
Posted : July 10, 2015 7:35 am
(@nate-the-surveyor)
Posts: 10522
Registered
 

Auto Lips:
[MEDIA=youtube]ZHmFW0lNspc[/MEDIA]

 
Posted : July 10, 2015 8:27 am
(@cptdent)
Posts: 2089
Registered
 

AutoLips - = Mick Jagger ??

 
Posted : July 10, 2015 3:08 pm
(@holy-cow)
Posts: 25292
 

Be nice, guys. I'm pretty sure I would do terribly at communicating in Malaysia on any subject, let alone something technical.

 
Posted : July 10, 2015 5:00 pm
(@nate-the-surveyor)
Posts: 10522
Registered
 

No offense intended. I always thought the nomenclature for "Autolisp" was odd.

 
Posted : July 10, 2015 5:48 pm
(@frank-willis)
Posts: 800
Registered
 

PLS30820, post: 326517, member: 1439 wrote: if I had autolips, I wouldn't leave the house

That is FUNNNNNNNNNNNNY.....

 
Posted : July 10, 2015 5:52 pm
(@steve-boon)
Posts: 393
Registered
 

Intersesting - I didn't know that LISP had so much history.

 
Posted : July 10, 2015 6:00 pm
(@bill93)
Posts: 9834
 

I heard it stands for Lotsa Irritating Spurious Parentheses

 
Posted : July 10, 2015 8:18 pm
(@randy-rain)
Posts: 462
 

My preference is to type 'units' and set the angular units to surveyor's units, then the autocad properties pallet (or quick properties pallet if you use that) will display bearing and distance information of any line selected. Quick and easy. Also I keep the properties pallet docked and open on the side of the screen all of the time, it's an extremely valuable tool for interfacing with objects.

 
Posted : July 14, 2015 2:22 pm